;;; @file c128/host.s
;;; Commodore 128 definitions
;;; @author Marko Mkel (msmakela@nic.funet.fi)

casbuf	= $b00	; the start address of the cassette buffer
bend	= $1210	; end of basic program text
ibsout	= $326	; KERNAL CHROUT routine
;; restore (among others) the IBSOUT vector and let carry be clear
#define restor jsr $ff8a

;; keyboard buffer
keylen	= $d0		; length in bytes
keybuf	= $34a		; data
;; clear the programmed key queue
#define clrprog	sty $d1

;;; Common definitions for the C64/C128
#include "c64.s"
