;;; @file c64/host.s
;;; Commodore 64 definitions
;;; @author Marko Mkel (msmakela@nic.funet.fi)

casbuf	= $33c	; the start address of the cassette buffer
bend	= $2d	; end of basic program text
ibsout	= $326	; KERNAL CHROUT routine
;; restore (among others) the IBSOUT vector and let carry be clear
#define restor jsr $ff8a

;; keyboard buffer
keylen	= $c6		; length in bytes
keybuf	= $277		; data

;;; Common definitions for the C64/C128
#include "c64.s"
