;;; @file pet80p1/host.s
;;; Commodore PET 8032 definitions for cassette port #1
;;; @author Marko Mkel (msmakela@nic.funet.fi)

casbuf	= $27a	; the start address of the cassette buffer #1
c2nread = $e811		; PIA Control Register A
c2nrdval = $80		; CA1 (cassette #1 read)

;; wait for high-to-low transition on CASS READ
#define c2nrdlo .(:wait bit c2nread:bpl wait:.)
;; clear the status of the CASS READ line
#define c2nclrd bit c2nread-1

#include "pet8032.s"
